Bug 202281 - devel/fpc-fcl-web: fails to build because it can't find unit fpmkunit used by fpmake
Summary: devel/fpc-fcl-web: fails to build because it can't find unit fpmkunit used by...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-12 23:15 UTC by Dušan Vejnovič
Modified: 2015-08-15 16:25 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dušan Vejnovič 2015-08-12 23:15:10 UTC
I got from poudriere for port fpc-fcl-web-2.6.4_1:

===>  Building for fpc-fcl-web-2.6.4_1
gmake[1]: Entering directory '/wrkdirs/usr/ports/devel/fpc-fcl-web/work/fpc-2.6.4/packages/fcl-web'
/usr/local/bin/ppcx64 fpmake.pp 
Free Pascal Compiler version 2.6.4 [2015/08/12] for x86_64
Copyright (c) 1993-2014 by Florian Klaempfl and others
Target OS: FreeBSD for x86-64
Compiling fpmake.pp
fpmake.pp(5,6) Fatal: Can't find unit fpmkunit used by fpmake
Fatal: Compilation aborted
Makefile:2057: recipe for target 'fpmake' failed
gmake[1]: *** [fpmake] Error 1
gmake[1]: Leaving directory '/wrkdirs/usr/ports/devel/fpc-fcl-web/work/fpc-2.6.4/packages/fcl-web'
*** Error code 1


Bye!
Dušan
Comment 1 Bugzilla Automation freebsd_committer 2015-08-12 23:15:10 UTC
Maintainer informed via mail
Comment 2 Dmitry Marakasov freebsd_committer 2015-08-14 16:12:56 UTC
Fixed in 394059
Comment 3 commit-hook freebsd_committer 2015-08-15 16:25:50 UTC
A commit references this bug:

Author: adamw
Date: Sat Aug 15 16:25:12 UTC 2015
New revision: 394329
URL: https://svnweb.freebsd.org/changeset/ports/394329

Log:
  Add a patch for SpamAssassin bug #7231 that resolves an incompatibility
  with the output of the new Net::DNS version.

  See https://svn.apache.org/viewvc/spamassassin/branches/3.4/lib/Mail/SpamAssassin/Plugin/URIDNSBL.pm?r1=1694126&r2=1694125&pathrev=1694126&view=patch
  for more information.

  PR:		202281
  Submitted by:	Mark Martinec, author of the upstream patch

Changes:
  head/mail/spamassassin/Makefile
  head/mail/spamassassin/files/patch-bug7231